StorageUpload file
Storage

Upload file

curl -X POST "https://api.neostra.io/api/v1/storage/file-upload" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  --form file=example_string
{
  "success": true,
  "message": "example_string",
  "data": {
    "fileId": "example_string",
    "url": "example_string"
  }
}
POST
/api/v1/storage/file-upload
POST
Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

Content-Typestring
Required

The media type of the request body

Options: multipart/form-data
filestring
Required
Format: binary
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Body

multipart/form-data

Responses

successboolean
messagestring
dataobject